import java.lang.reflect.*;

public class Part {
   // Primary key attribute
   String  partId;

   // Parent class relation attributes
   int     vin;

   // other (basic) attributes
   String  descr;


   // The no-argument constructor, reqd by dbMapper
   public Part() {
   }

   // Other constructors
   public Part (int vin, String partId, String descr) {
      this.vin = vin;
      this.partId = partId;
      this.descr = descr;
   }


   // Getter/Setter methods for attributes
   public int     getVin () { return vin; }
   public String  getPartId () { return partId; }
   public String  getDescr () { return descr; }

   public void setVin (int vin) { this.vin = vin; }
   public void setPartId (String partId) { this.partId = partId; }
   public void setDescr (String descr) { this.descr = descr; }


   public String toString() {
      java.util.Hashtable h = new java.util.Hashtable();
      Class cls = getClass();
      Field[] fields = cls.getDeclaredFields();
      //AccessibleObject.setAccessible(fields, true);
      for(int i=0; i<fields.length; i++) {
         try {
            h.put(fields[i].getName(), fields[i].get(this) + "\n");
         }
         catch(IllegalAccessException e) {}
      }    
      if(cls.getSuperclass().getSuperclass() != null) {
         h.put("super", super.toString());
      }
      return cls.getName() + "\n" + h;
   }


}
