import java.lang.reflect.*;
import java.util.ArrayList;


public class Vehicle {
   // Primary key attribute
   int     vin;

   // many-to-one collection relationship with parts attribute
   ArrayList parts = new ArrayList(1);

   // Parent class relation attributes
   String  ownerName;

   // other (basic) attributes
   String  make;



   // The no-argument constructor, reqd by dbMapper
   public Vehicle() {
   }

   // Other constructors
   public Vehicle (String ownerName, int vin, String make, ArrayList parts) {
      this.ownerName = ownerName;
      this.vin = vin;
      this.make = make;
      this.parts = parts;
   }


   // Getter/Setter methods for attributes
   public String getOwnerName () { return ownerName; }
   public int     getVin () { return vin; }
   public String  getMake () { return make; }
   public ArrayList getParts () { return parts; }

   public void setOwnerName (String ownerName) { this.ownerName = ownerName; }
   public void setVin (int vin) { this.vin = vin; }
   public void setMake (String make) { this.make = make; }
   public void setParts (ArrayList parts) { this.parts = parts; }


   public String toString() {
      java.util.Hashtable h = new java.util.Hashtable();
      Class cls = getClass();
      Field[] fields = cls.getDeclaredFields();
      //AccessibleObject.setAccessible(fields, true);
      for(int i=0; i<fields.length; i++) {
         try {
            h.put(fields[i].getName(), fields[i].get(this) + "\n");
         }
         catch(IllegalAccessException e) {}
      }    
      if(cls.getSuperclass().getSuperclass() != null) {
         h.put("super", super.toString());
      }
      return cls.getName() + "\n" + h;
   }

}
