import javax.ejb.*;
import java.rmi.RemoteException;
import java.util.Enumeration;

public interface CounterHome extends EJBHome {
   // creates a Counter EJB object with given (unique) counter identifier.
  public Counter create(String counterId) 
                               throws CreateException, RemoteException;

   // Find a counter by its primary key (counter id).
  public Counter findByPrimaryKey(String primaryKey) 
                               throws FinderException, RemoteException;

   // Returns all the Counter entity beans stored in database
  public Enumeration findAll() throws FinderException, RemoteException;

   // Returns all the Counter beans that have a non-zero value
  public Enumeration findNonZeroCounters()
                               throws FinderException, RemoteException;
}
